| LicenseSpring C++ SDK 7.27.0 Easily add Software Licensing to your application

Public Types | Public Member Functions | Static Public Member Functions | List of all members
LicenseSpring::LicenseMemoryStorage Class Reference

Simple class that saves license in a variable, implements `LicenseStorage` interface. More...

`#include <LicenseSpring/LicenseMemoryStorage.h>`

Inheritance diagram for LicenseSpring::LicenseMemoryStorage:

## Public Types
using | ptr_t = std::shared_ptr< LicenseMemoryStorage >
Public Types inherited from LicenseSpring::LicenseStorage
using | ptr_t = std::shared_ptr< LicenseStorage >

## Public Member Functions
| LicenseMemoryStorage ()=default
| Constructor for LicenseMemoryStorage object. More...
void | saveLicense (const std::string &licenseData)
| Saves license data in a variable. More...
std::string | loadLicense ()
| Load license data from memory (variable). More...
void | clear ()
| Purge license data. More...
Public Member Functions inherited from LicenseSpring::LicenseStorage
virtual | ~LicenseStorage ()
| Destructor for LicenseStorage object. More...

## Static Public Member Functions
static ptr_t | create ()
| Allocates and constructs a LicenseMemoryStorage object and passes args to LicenseMemoryStorage(). More...

## Detailed Description

Simple class that saves license in a variable, implements `LicenseStorage` interface.

This class is thread safe.

Definition at line 18 of file LicenseMemoryStorage.h.

## Member Typedef Documentation

## ◆ ptr_t

using LicenseSpring::LicenseMemoryStorage::ptr_t = std::shared_ptr<LicenseMemoryStorage>

Definition at line 21 of file LicenseMemoryStorage.h.

## Constructor & Destructor Documentation

## ◆ LicenseMemoryStorage()

LicenseSpring::LicenseMemoryStorage::LicenseMemoryStorage | ( |  | ) |
| default

Constructor for LicenseMemoryStorage object.

## Member Function Documentation

## ◆ create()

static ptr_t LicenseSpring::LicenseMemoryStorage::create | ( |  | ) |
| static

Allocates and constructs a LicenseMemoryStorage object and passes args to LicenseMemoryStorage().

Returns
  A shared_ptr object that owns and stores a pointer to a newly allocated LicenseMemoryStorage object.

## ◆ saveLicense()

void LicenseSpring::LicenseMemoryStorage::saveLicense | ( | const std::string & | licenseData | ) |
| virtual

Saves license data in a variable.

Parameters

  licenseData | Encrypted license data string

Implements LicenseSpring::LicenseStorage.

## ◆ loadLicense()

std::string LicenseSpring::LicenseMemoryStorage::loadLicense | ( |  | ) |
| virtual

Load license data from memory (variable).

Returns
  Encrypted license data string.

Implements LicenseSpring::LicenseStorage.

## ◆ clear()

void LicenseSpring::LicenseMemoryStorage::clear | ( |  | ) |
| virtual

Purge license data.

Implements LicenseSpring::LicenseStorage.

The documentation for this class was generated from the following file:

- LicenseSpring/LicenseMemoryStorage.h